<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:form id="slotForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="AddSlotValue"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddValue']}</ui:define>
            <s:decorate id="tempdescadd" template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Value']}</ui:define>
                <h:inputText rendered="#{!CommonAQManagerBean.selectedSlotHasValueSets()}"
                             value="#{CommonAQManagerBean.valueToAdd}" size="60"/>
                <h:selectOneMenu value="#{CommonAQManagerBean.valueToAdd}"
                                 styleClass="form-control gzl-form-control gzl-select-text"
                                 rendered="#{CommonAQManagerBean.selectedSlotHasValueSets()}">
                    <f:selectItems value="#{CommonAQManagerBean.listValueSet()}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="messageDecoration"/>
                </h:selectOneMenu>
            </s:decorate>
            <ui:define name="popup_footer">
                <button type="button" class="gzl-btn" data-dismiss="modal">
                    #{messages['net.ihe.gazelle.xdstar.Cancel']}
                </button>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}" styleClass="gzl-btn-green"
                                   action="#{CommonAQManagerBean.addNewValueToSelectedSlot()}"
                                   oncomplete="jq162('#AddSlotValue').modal('hide');"
                                   render="parametersDiv,AddSlotValue"/>
            </ui:define>
        </ui:decorate>
    </h:form>
    <h:form id="addOptionalForm">

        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="AddOptionalMetadata"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddOtherMetadata']}</ui:define>
            <s:decorate id="AddOptionalMetadatadec" template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Metadata']}</ui:define>
                <h:selectOneMenu value="#{CommonAQManagerBean.selectedSlotMetadataId}"
                                 styleClass="form-control gzl-form-control gzl-select-text"
                                 rendered="#{(CommonAQManagerBean.listOptionalMetadata != null) and (CommonAQManagerBean.listOptionalMetadata.size() &gt; 0)}">
                    <f:selectItems value="#{CommonAQManagerBean.listOptionalMetadata}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    <a4j:ajax event="change" render="messageDecoration"/>
                </h:selectOneMenu>
            </s:decorate>
            <ui:define name="popup_footer">
                <button type="button" class="gzl-btn" data-dismiss="modal">
                    #{messages['net.ihe.gazelle.xdstar.Cancel']}
                </button>
                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   action="#{CommonAQManagerBean.addNewMetadataToSubmissionSet()}"
                                   oncomplete="jq162('#AddOptionalMetadata').modal('hide');" styleClass="gzl-btn-green"
                                   render="parametersDiv,AddOptionalMetadata"/>
            </ui:define>
        </ui:decorate>


    </h:form>
</ui:composition>
